#!/usr/bin/perl -w
#
# Script to convert .geo file (deg/min/sec format) to
# a .dat file (decimal degree format).
#
# John Shimeld, September 13, 2000

open(DATAFILE,"<$ARGV[0]");

while(<DATAFILE>) {
  chop;
  ($latD,$longD,$z,$p,$code) = split(/\s+/,$_);
  chop($latD);
  chop($longD);
  ($latDeg,$latMin,$latSec) = split(/\-/,$latD);
  ($longDeg,$longMin,$longSec) = split(/\-/,$longD);
  $lat = $latDeg + ($latMin + $latSec/60)/60;
  $long = -1*($longDeg + ($longMin + $longSec/60)/60);
  printf "%12.9f %13.9f %s %s %s\n",$lat,$long,$z,$p,$code;
}

